Holger's Java API

## com.antelmann.math
Interface UnitConverter

All Known Implementing Classes:
  MoneyConverter, TimeInterval.Converter

    public interface UnitConverter

allows to convert some measurement into another unit, provided that the units are convertible (such as meter and miles)

Since:
  04.06.2009, 15:36:21
Author:
  Holger Antelmann

Method Summary
`Measurable` `convert(Measurable m, Unit targetUnit)` converts the given measurable into the target unit and returns the resulting measurable

Method Detail

### convert

    Measurable convert(Measurable m,
                       Unit targetUnit)
                       throws IllegalArgumentException,
                              UnsupportedOperationException

  converts the given measurable into the target unit and returns the resulting measurable

  Parameters:
    `m` - the original measurable to be converted
    `targetUnit` - the desired unit
  Returns:
    a measurable that embeds the target unit and a number that corresponds
  Throws:
    `IllegalArgumentException` - if this converter cannot handle any of the given units
    `UnsupportedOperationException` - if the units of the given measurable and the target unit are not convertible

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads